- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgSim::ScalarBar::ScalarPrinter Struct Reference

Users may provide their own ScalarPrinter by deriving from this base class and overriding the printScalar() method. More...

Inheritance diagram for osgSim::ScalarBar::ScalarPrinter:

[legend]
List of all members.

## Public Member Functions
virtual std::string | printScalar (float scalar)

## Detailed Description

Users may provide their own ScalarPrinter by deriving from this base class and overriding the printScalar() method.

Users may map the scalar float passed in to any string they wish.

## Member Function Documentation

std::string ScalarBar::ScalarPrinter::printScalar | ( | float | scalar | ) | `[virtual]`

The documentation for this struct was generated from the following files:

- ScalarBar
- ScalarBar.cpp